Package org.bukkit.inventory.meta

# Interface Damageable

All Superinterfaces:
  `Cloneable`, `ConfigurationSerializable`, `ItemMeta`, `PersistentDataHolder`

public interface Damageable extends ItemMeta
Represents an item that has durability and can take damage.

## Method Summary

Modifier and Type
Method
Description
`@NotNull Damageable`
`clone()`
`int`
`getDamage()`
Gets the damage
`boolean`
`hasDamage()`
Checks to see if this item has damage
`void`
`setDamage(int damage)`
Sets the damage

### Methods inherited from interface org.bukkit.configuration.serialization.ConfigurationSerializable

`serialize`

### Methods inherited from interface org.bukkit.inventory.meta.ItemMeta

`addAttributeModifier, addEnchant, addItemFlags, displayName, displayName, getAsString, getAttributeModifiers, getAttributeModifiers, getAttributeModifiers, getCanDestroy, getCanPlaceOn, getCustomModelData, getCustomTagContainer, getDestroyableKeys, getDisplayName, getDisplayNameComponent, getEnchantLevel, getEnchants, getItemFlags, getLocalizedName, getLore, getLoreComponents, getPlaceableKeys, hasAttributeModifiers, hasConflictingEnchant, hasCustomModelData, hasDestroyableKeys, hasDisplayName, hasEnchant, hasEnchants, hasItemFlag, hasLocalizedName, hasLore, hasPlaceableKeys, isUnbreakable, lore, lore, removeAttributeModifier, removeAttributeModifier, removeAttributeModifier, removeEnchant, removeItemFlags, setAttributeModifiers, setCanDestroy, setCanPlaceOn, setCustomModelData, setDestroyableKeys, setDisplayName, setDisplayNameComponent, setLocalizedName, setLore, setLoreComponents, setPlaceableKeys, setUnbreakable, setVersion`

### Methods inherited from interface org.bukkit.persistence.PersistentDataHolder

`getPersistentDataContainer`

## Method Details

### hasDamage

boolean hasDamage()
Checks to see if this item has damage

Returns:
  true if this has damage

### getDamage

int getDamage()
Gets the damage

Returns:
  the damage

### setDamage

void setDamage(int damage)
Sets the damage

Parameters:
  `damage` - item damage

### clone

@NotNull @NotNull Damageable clone()

Specified by:
  `clone` in interface `ItemMeta`